# eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.jinja2Templates

Module implementing a check for not auto escaping in jinja2.

### Global Attributes

None

### Classes

None

### Functions

checkJinja2Autoescape | Function to check for not auto escaping in jinja2.
getChecks | Public method to get a dictionary with checks handled by this module.

## checkJinja2Autoescape

checkJinja2Autoescape(reportError, context, config)

Function to check for not auto escaping in jinja2.

reportError (func)
  function to be used to report errors
context (SecurityContext)
  security context object
config (dict)
  dictionary with configuration data

Up

## getChecks

getChecks()

Public method to get a dictionary with checks handled by this module.

Return:
  dictionary containing checker lists containing checker function and list of codes

Return Type:
  dict

Up